【Hadoop】解决Hadoop 2.7.1无法加载本地库问题


本博客文章如无特别说明,均为原创!转载请注明出处:Big data enthusiast(http://www.lubinsu.com/)

本文链接地址:【Hadoop】解决Hadoop 2.7.1无法加载本地库问题(http://www.lubinsu.com/index.php/archives/452)

我安装的Hadoop版本是2.7.1,这个版本已经解决了64位的本地库问题,但是运行的时候还是提示:
WARN util.NativeCodeLoader: Unable to load native-hadooplibrary for your platform… using builtin-java classes where applicable
 
这是因为我的Centos6.7的glibc版本是2.12,低于官方要求的2.14以上。
解决方法如下:
下载对应版本的glibc安装

下载地址 http://ftp.gnu.org/gnu/glibc/,找到对应版本的glibc(2.14以上)下载并解压编译

[root@centos0 ~]# export CFLAGS="-g -O2"
[root@centos0 ~]#./glibc-2.14.1/configure --prefix=/usr --disable-profile --enable-add-ons --with-headers=/usr/include --with-binutils=/usr/bin
[root@centos0 ~]#make
[root@centos0 ~]#make install

问题解决!

发表评论

电子邮件地址不会被公开。 必填项已用*标注